Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceInterface

java.lang.Object
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceInterface

All Implemented Interfaces:
  `GuiTitlable`, `Resource`

public class DeviceInterface extends Object implements Resource, GuiTitlable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_ACTIVE`
  `static final int`
  `STATUS_RESERVED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceInterface()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getComment()`
  `int`
  `getDeviceId()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `List<DeviceInterfaceIndex>`
  `getIndexList()`
  `int`
  `getIpCategoryId()`
  `int`
  `getPort()`
  `int`
  `getRemoteDeviceId()`
  `int`
  `getRemotePort()`
  `int`
  `getStatus()`
  `int`
  `getSubscriberId()`
  `String`
  `getSubscriberTitle()`
  `String`
  `getTitle()`
  `int`
  `hashCode()`
  `void`
  `setComment(String comment)`
  `DeviceInterface`
  `setDeviceId(int deviceId)`
  `void`
  `setIndexList(List<DeviceInterfaceIndex> indexList)`
  `void`
  `setIpCategoryId(int ipCategoryId)`
  `DeviceInterface`
  `setPort(int port)`
  `void`
  `setRemoteDeviceId(int remoteDeviceId)`
  `void`
  `setRemotePort(int remotePort)`
  `DeviceInterface`
  `setStatus(int status)`
  `void`
  `setSubscriberId(int subscriberId)`
  `void`
  `setSubscriberTitle(String subscriberTitle)`
  `DeviceInterface`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_RESERVED

    public static final int STATUS_RESERVED
    See Also:
      - Constant Field Values

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceInterface

    public DeviceInterface()

- ## Method Details

  - ### getDeviceId

    public int getDeviceId()

  - ### setDeviceId

    public DeviceInterface setDeviceId(int deviceId)

  - ### getPort

    public int getPort()

  - ### setPort

    public DeviceInterface setPort(int port)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public DeviceInterface setTitle(String title)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public DeviceInterface setStatus(int status)

  - ### getRemoteDeviceId

    public int getRemoteDeviceId()

  - ### setRemoteDeviceId

    public void setRemoteDeviceId(int remoteDeviceId)

  - ### getRemotePort

    public int getRemotePort()

  - ### setRemotePort

    public void setRemotePort(int remotePort)

  - ### getIndexList

    public List<DeviceInterfaceIndex> getIndexList()

  - ### setIndexList

    public void setIndexList(List<DeviceInterfaceIndex> indexList)

  - ### getIpCategoryId

    public int getIpCategoryId()

  - ### setIpCategoryId

    public void setIpCategoryId(int ipCategoryId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getSubscriberId

    public int getSubscriberId()

  - ### setSubscriberId

    public void setSubscriberId(int subscriberId)

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### setSubscriberTitle

    public void setSubscriberTitle(String subscriberTitle)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.